<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'supermart-ecommerce')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'supermart-ecommerce' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'supermart-ecommerce'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'supermart-ecommerce' ),
	'panel' => 'lz_fitness_general_panel',
) );




//HEADER LOGO MARGIN SETTINGS
$wp_customize->add_section(
	'lz_fitness_headerlogo_settings',
	array(
		'title' => __( 'Header Logo Margin Settings', 'supermart-ecommerce' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_headerlogo_margin', 'lz_fitness_headerlogo_settings', ' Site Header Logo Margin:');


$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '10px', 'supermart-ecommerce' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Top Margin', 'supermart-ecommerce' )
	)
);


$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '10px', 'supermart-ecommerce' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Margin', 'supermart-ecommerce' )
	)
);


$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'supermart-ecommerce' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Left Margin', 'supermart-ecommerce' )
	)
);


$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'supermart-ecommerce' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Right Margin', 'supermart-ecommerce' )
	)
);



//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image', 'supermart-ecommerce' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'supermart-ecommerce' ),
	'panel' => 'lz_fitness_general_panel',
) );

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'supermart-ecommerce'),
	'panel' => 'lz_fitness_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#1e89f3');

//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#343748');


lzCustomLable($wp_customize, 'pagescroll_colorsetting', 'colors', ' Page Scroll Color Setting:');

//Page Scroll bar color
addColorPalatOption($wp_customize, 'lz_fitness_header_pagescrollbarColor', 'colors', 'Page Scroll Bar Color', '#fff');

//Page Scroll bar bg color
addColorPalatOption($wp_customize, 'lz_fitness_header_pagescrollbarbgColor', 'colors', 'Page Scroll Bar background Color', '#1e89f3');

//Page Scroll bar  hover color
addColorPalatOption($wp_customize, 'lz_fitness_header_pagescrollbarhoverColor', 'colors', 'Page Scroll Bar Hover Color', '#fff');

//Page Scroll bar bg hover color
addColorPalatOption($wp_customize, 'lz_fitness_header_pagescrollbarbghoverColor', 'colors', 'Page Scroll Bar background Hover Color', '#000');

lzCustomLable($wp_customize, 'innerpage_colorsetting', 'colors', ' Inner Page Color Setting:');

//Inner page title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_titlecolor', 'colors', 'Inner page title color', '#fff');
//Inner page background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_bgcolor', 'colors', 'Inner page title background color', '#1e89f3');

//Inner page content box heading 1 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh1color', 'colors', 'Heading 1 color', '#333333');

//Inner page content box heading 2 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh2color', 'colors', 'Heading 2 color', '#333333');

//Inner page content box heading 3 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh3color', 'colors', 'Heading 3 color', '#333333');

//Inner page content box heading 4 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh4color', 'colors', 'Heading 4 color', '#333333');

//Inner page content box heading 5 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh5color', 'colors', 'Heading 5 color', '#333333');

//Inner page content box heading 6 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh6color', 'colors', 'Heading 6 color', '#333333');

//Inner page content box text color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtextcolor', 'colors', 'Inner page content box text color', '#303030');

//Inner page content box list color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistcolor', 'colors', 'Inner page content box list color', '#303030');

//Inner page content box list icon color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlisticoncolor', 'colors', 'Inner page content box list icon color', '#1e89f3');

//Inner page content box list number color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistnumbercolor', 'colors', 'Inner page content box list number color', '#fff');

//Inner page content box list number bg color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistnumberbgcolor', 'colors', 'Inner page content box list number background color', '#1e89f3');

//Inner page content box links color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlinkcolor', 'colors', 'Inner page content box links color', '#343748');


//Inner page border color
addColorPalatOption($wp_customize, 'template_innerpage_bordercolor', 'colors', 'Inner page border color', '#EEE');


//Inner page table days Color
addColorPalatOption($wp_customize, 'template_innerpage_tabledays_color', 'colors', 'Inner Page Sidebar Table Days Color', '#fff');

//Inner page table days bg Color
addColorPalatOption($wp_customize, 'template_innerpage_tabledaysbg_color', 'colors', 'Inner Page Sidebar Table Days Background Color', '#1e89f3');

//Inner page table text Color
addColorPalatOption($wp_customize, 'template_innerpage_tabletext_color', 'colors', 'Inner Page Sidebar Table Text Color', '#6b7385');

//Inner page table box bg Color
addColorPalatOption($wp_customize, 'template_innerpage_tableboxbg_color', 'colors', 'Inner Page Sidebar Table Box Background Color', '#fff');

//Inner page table btn Color
addColorPalatOption($wp_customize, 'template_innerpage_tablebtn_color', 'colors', 'Inner Page Sidebar Table, Form Button Text and category product dropdown hover Color', '#fff');

//Inner page table btn bg Color
addColorPalatOption($wp_customize, 'template_innerpage_tablebtnbg_color', 'colors', 'Inner Page Sidebar Table Button Background Color', '#1e89f3');

//Inner Page Social color
addColorPalatOption($wp_customize, 'template_innerpage_socials_color', 'colors', 'Inner Page Social color', '#fff');

//Inner Page Social color
addColorPalatOption($wp_customize, 'template_innerpage_sidebarwidgettitle_color', 'colors', 'Inner Page Sidebar Widget Title Color', '#fff');

//Inner page box bg Color
addColorPalatOption($wp_customize, 'template_innerpage_boxbg_color', 'colors', 'Inner Page Box Background Color', '#fff');
//Inner page blog box bg Color
addColorPalatOption($wp_customize, 'template_innerpage_blogboxbg_color', 'colors', 'Inner Page Info Box Background Color', '#eee');


//INNER PAGE HEADING FONT SIZE SETTINGS
$wp_customize->add_section(
	'innerheadingfontsize_settings',
	array(
		'title' => __( 'Inner Page Heading Font Size Settings', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_headerlogo_margin', 'innerheadingfontsize_settings', ' Inner Page Heading Font Size:');


$wp_customize->add_setting(
	'pages_h1font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '28px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h1font',
	array(
		'settings'      => 'pages_h1font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h2font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '22px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h2font',
	array(
		'settings'      => 'pages_h2font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h3font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h3font',
	array(
		'settings'      => 'pages_h3font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h4font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '22px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h4font',
	array(
		'settings'      => 'pages_h4font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h5font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h5font',
	array(
		'settings'      => 'pages_h5font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_h6font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '18px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h6font',
	array(
		'settings'      => 'pages_h6font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);


//Inner Page Box Padding Setting
$wp_customize->add_section(
	'innerboxpaddiing_settings',
	array(
		'title' => __( 'Inner Page Box Padding Setting', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'innerpagebox_padding', 'innerboxpaddiing_settings', ' Inner Page Box Padding Setting:');

$wp_customize->add_setting(
    'innerpagesbox_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerpagesbox_toppadding',
    array(
        'settings'      => 'innerpagesbox_toppadding',
        'section'       => 'innerboxpaddiing_settings',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'innerpagesbox_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerpagesbox_bottompadding',
    array(
        'settings'      => 'innerpagesbox_bottompadding',
        'section'       => 'innerboxpaddiing_settings',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'innerpagesbox_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerpagesbox_leftpadding',
    array(
        'settings'      => 'innerpagesbox_leftpadding',
        'section'       => 'innerboxpaddiing_settings',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'innerpagesbox_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerpagesbox_rightpadding',
    array(
        'settings'      => 'innerpagesbox_rightpadding',
        'section'       => 'innerboxpaddiing_settings',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);





//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'lz_fitness_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'lz_fitness_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

// end to show & hide button

$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'Luzuk Premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'lz_fitness_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'Luzuk Premium' )
        )
    );


//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbtitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#343748');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#343748');

//Inner page breadcrumbbox current hover title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlehovercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title hover color', '#1e89f3');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgcolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');

//Inner page breadcrumbbox border color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgbordercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox border color', '#1e89f3');


//HEADER SETTINGS
$wp_customize->add_section(
	'lz_fitness_header_settings',
	array(
		'title' => __( 'Header Settings', 'supermart-ecommerce' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

	//ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
	'lz_fitness_sticky_header_enable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);

$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_sticky_header_enable',
		array(
			'settings'		=> 'lz_fitness_sticky_header_enable',
			'section'		=> 'lz_fitness_header_settings',
			'label'			=> __( 'Sticky Header', 'supermart-ecommerce' ),
			'on_off_label' 	=> array(
				'on' => __( 'Enable', 'supermart-ecommerce' ),
				'off' => __( 'Disable', 'supermart-ecommerce' )
			)	
		)
	)
);

// button text color
addColorPalatOption($wp_customize, 'lz_fitness_header_taglineColor', 'lz_fitness_header_settings', 'Header Tagline color', '#2e3740');

// header top background color
addColorPalatOption($wp_customize, 'lz_fitness_header_TbackgroundColor', 'lz_fitness_header_settings', 'Top Header Background color', '#2e3740'); 

// header midle background color
addColorPalatOption($wp_customize, 'lz_fitness_header_backgroundColor', 'lz_fitness_header_settings', 'Middle Header Background color', '#f7f6f2'); 

$wp_customize->add_setting(
	'lz_fitness_headermain_freeshiptext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'SHOP EVENTS & SAVE UO TO <span>65% OFF!</span>' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_freeshiptext',
	array(
		'settings'      => 'lz_fitness_headermain_freeshiptext',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Shipping Text', 'supermart-ecommerce' )
	)
);

// free shipping text color
addColorPalatOption($wp_customize, 'lz_fitness_header_freeshiptextColor', 'lz_fitness_header_settings', 'Free shipping text color', '#ffffff'); 

// free shipping highlight text color
addColorPalatOption($wp_customize, 'lz_fitness_header_freeshiptexthighColor', 'lz_fitness_header_settings', 'Free shipping highlight text color', '#FF0000'); 

// to show & hide another button
$wp_customize->add_setting( 'cds_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'cds_button_display', array( 'label' => 'Header Button Display', 'section' => 'lz_fitness_header_settings', 'settings' => 'cds_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
$wp_customize->add_setting(
    'lz_fitness_headermain_headerinquirytitle',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Shop Now' )
    )
);
$wp_customize->add_control(
    'lz_fitness_headermain_headerinquirytitle',
    array(
        'settings'      => 'lz_fitness_headermain_headerinquirytitle',
        'section'       => 'lz_fitness_header_settings',
        'type'          => 'text',
        'label'         => __( 'Header Button Text', 'Luzuk-premium' )
    )
);
$wp_customize->add_setting('lz_fitness_header_headerinquiry',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_headerinquiry',
    array(
        'settings'      => 'lz_fitness_header_headerinquiry',
        'section'       => 'lz_fitness_header_settings',
        'type'          => 'url',
        'label'         => __( 'Add "Header Button" link here', 'Luzuk-premium' )
    )
);


// button text color
addColorPalatOption($wp_customize, 'lz_fitness_header_buttextColor', 'lz_fitness_header_settings', 'Header Button Text color', '#ffffff'); 

// button text color
addColorPalatOption($wp_customize, 'lz_fitness_header_butborColor', 'lz_fitness_header_settings', 'Header Button Border color', '#ffffff'); 

// button text color
addColorPalatOption($wp_customize, 'lz_fitness_header_hbuttextColor', 'lz_fitness_header_settings', 'Header Button Hover Text color', '#ffffff'); 

// button text color
addColorPalatOption($wp_customize, 'lz_fitness_header_hbutbgColor', 'lz_fitness_header_settings', 'Header Button Hover Background color', '#1e89f3');

$wp_customize->add_setting(
	'lz_fitness_headermain_phone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '+008 3862 499' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phone',
	array(
		'settings'      => 'lz_fitness_headermain_phone',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone Number', 'supermart-ecommerce' )
	)
);

// contact text color
addColorPalatOption($wp_customize, 'lz_fitness_header_contacttextColor', 'lz_fitness_header_settings', 'Header contact text color', '#040404'); 

// contact icon color
addColorPalatOption($wp_customize, 'lz_fitness_header_contacticonColor', 'lz_fitness_header_settings', 'Header contact icon color', '#9ca0a5'); 

// contact icon hover color
addColorPalatOption($wp_customize, 'lz_fitness_header_contacticonhoverColor', 'lz_fitness_header_settings', 'Header contact icon hover color', '#1e89f3'); 

// contact border color
addColorPalatOption($wp_customize, 'lz_fitness_header_contactborderColor', 'lz_fitness_header_settings', 'Header contact border color', '#bdbec0'); 

// search text color
addColorPalatOption($wp_customize, 'lz_fitness_header_searchtextColor', 'lz_fitness_header_settings', 'Header search text color', '#7e7e7e'); 

// search bg color
addColorPalatOption($wp_customize, 'lz_fitness_header_searchbgColor', 'lz_fitness_header_settings', 'Header search background color', '#fff'); 

// search border color
addColorPalatOption($wp_customize, 'lz_fitness_header_searchborderColor', 'lz_fitness_header_settings', 'Header search border color', '#2e87e0'); 

// search button bg hover color
addColorPalatOption($wp_customize, 'lz_fitness_header_searchiconColor', 'lz_fitness_header_settings', 'Header Search Icon  color', '#2d373f'); 

// My Account
// $wp_customize->add_setting(
// 	'lz_fitness_headermain_myaccounttitle',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 		'default'           => __( 'My Account' )
// 	)
// );
// $wp_customize->add_control(
// 	'lz_fitness_headermain_myaccounttitle',
// 	array(
// 		'settings'      => 'lz_fitness_headermain_myaccounttitle',
// 		'section'       => 'lz_fitness_header_settings',
// 		'type'          => 'text',
// 		'label'         => __( 'My Account Text', 'supermart-ecommerce' )
// 	)
// );

$wp_customize->add_setting('lz_fitness_header_myaccount',	array('default'=> 'Add Myaccount page link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_myaccount',
	array(
		'settings'      => 'lz_fitness_header_myaccount',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'My account Page Url', 'Luzuk-premium' )
	)
);


//MY account text color
addColorPalatOption($wp_customize, 'lz_fitness_header_myaccounttextColor', 'lz_fitness_header_settings', 'My Account Icon color', '#9ca0a5'); 

//MY account text color
addColorPalatOption($wp_customize, 'lz_fitness_header_myaccountborColor', 'lz_fitness_header_settings', 'My Account Icon Border color', '#e4e3e4'); 


//cart color
addColorPalatOption($wp_customize, 'lz_fitness_header_carticonsColor', 'lz_fitness_header_settings', 'Cart Icon color', '#9ca0a5');

//cart color
addColorPalatOption($wp_customize, 'lz_fitness_header_carticonColor', 'lz_fitness_header_settings', 'Cart color', '#fff'); 

//cart bg color
addColorPalatOption($wp_customize, 'lz_fitness_header_carticonbgColor', 'lz_fitness_header_settings', 'Cart background color', '#1f89f3'); 


$wp_customize->add_setting(
	'lz_fitness_header_browsebydept',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Categories' )
	)
);
$wp_customize->add_control(
	'lz_fitness_header_browsebydept',
	array(
		'settings'      => 'lz_fitness_header_browsebydept',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Category box text', 'supermart-ecommerce' )
	)
);


//category box title color
addColorPalatOption($wp_customize, 'lz_fitness_header_cattitleColor', 'lz_fitness_header_settings', 'Sidebar Category title color', '#ebf3fa'); 

addColorPalatOption($wp_customize, 'lz_fitness_header_cattitlebgColor', 'lz_fitness_header_settings', 'Sidebar Category title background color', '#1e89f3'); 

//category box iicon color
addColorPalatOption($wp_customize, 'lz_fitness_header_cattitleiconColor', 'lz_fitness_header_settings', 'Sidebar Category icon color', '#fff'); 

addColorPalatOption($wp_customize, 'lz_fitness_header_cattitleiconbgColor', 'lz_fitness_header_settings', 'Sidebar Category icon background color', '#e2dedd'); 


//category box dropdown menu color
addColorPalatOption($wp_customize, 'lz_fitness_header_catdropdownmenuColor', 'lz_fitness_header_settings', 'Sidebar Category menu color', '#000'); 

//category box dropdown menu hover color
addColorPalatOption($wp_customize, 'lz_fitness_header_catdropdownmenuhoverColor', 'lz_fitness_header_settings', 'Sidebar Category menu hover color', '#1e89f3'); 

//category box dropdown menu border color
addColorPalatOption($wp_customize, 'lz_fitness_header_catdropdownmenuborderColor', 'lz_fitness_header_settings', 'Sidebar Category menu border color', '#cccbcc'); 



//nav menu color
addColorPalatOption($wp_customize, 'lz_fitness_header_navmenuColor', 'lz_fitness_header_settings', 'Navigation menu color', '#2e3740'); 
//nav current menu color
addColorPalatOption($wp_customize, 'lz_fitness_header_navcurrentmenuColor', 'lz_fitness_header_settings', 'Navigation current menu color', '#fff'); 

//nav menu hover color
addColorPalatOption($wp_customize, 'lz_fitness_header_navmenuhoverColor', 'lz_fitness_header_settings', 'Navigation menu hover color', '#1e89f3'); 

//nav menu hover bg color
//addColorPalatOption($wp_customize, 'lz_fitness_header_navmenuhoverbgColor', 'lz_fitness_header_settings', 'Navigation menu hover background color', '#1e89f3'); 


//nav dropdownbg color
addColorPalatOption($wp_customize, 'lz_fitness_header_navdropdownbgColor', 'lz_fitness_header_settings', 'Navigation dropdown background color', '#2e3740');

//nav dropdownbg menu color
addColorPalatOption($wp_customize, 'lz_fitness_header_navdropdownmenuColor', 'lz_fitness_header_settings', 'Navigation dropdown menu color', '#fff');

//nav dropdownbg menu color
addColorPalatOption($wp_customize, 'lz_fitness_header_navdropdownmenuhoColor', 'lz_fitness_header_settings', 'Navigation dropdown menu hover color', '#000000');

addColorPalatOption($wp_customize, 'header_topsubmenushvranimatedbgColor', 'lz_fitness_header_settings', 'Sub Menus Hover Animated Background color', '#1f89f3');

//nav dropdownbg current menu color
addColorPalatOption($wp_customize, 'lz_fitness_header_navdropdowncurrentmenuColor', 'lz_fitness_header_settings', 'Navigation dropdown current menu color', '#fff');

// header bottom background color
addColorPalatOption($wp_customize, 'lz_fitness_header_bottombackgroundColor', 'lz_fitness_header_settings', 'Navigation Header Background color', '#f2f3f4'); 

lzCustomLable($wp_customize, 'header_colorsfortabandmobview', 'lz_fitness_header_settings', 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topsubmenuiconColor', 'lz_fitness_header_settings', 'Header Menus Dropdown Icon color', '#516bec');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'lz_fitness_header_settings', 'Toggle Bar color', '#1276c4');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'lz_fitness_header_settings', ' Navigation Box Background Color', '#ffffff');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'lz_fitness_header_settings', 'Menus Border Color', '#1276c4');


//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'lz_fitness_postpagedate_settings',
	array(
		'title' => __( 'Post Page Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'lz_fitness_postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'socialpost_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'socialpost_button_display', array( 'label' => 'Post Social Media Display', 'section' => 'lz_fitness_postpagedate_settings', 'settings' => 'socialpost_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Social Media', 'hide' => 'Hide Post Social Media', ), ) ); 

// end to show & hide button

//Footer section
lzCustomLable($wp_customize, 'set_Sectionnewspadd', 'footer_copyright_settings', 'Newsletter Setting:');

backgroundManager($wp_customize, 'newsletter', 'footer_copyright_settings', $color='#2e3740', get_template_directory_uri().'/images/default-gray.png', 'color');

// Adding the Label
lzCustomLable($wp_customize, 'lz_newslatter_title_subtitle_heading', 'footer_copyright_settings', 'Section Title');

//add textarea
lzAddElement($wp_customize, 'lz_newslatter_title', 'footer_copyright_settings', 'text', $label="Title", 'lz_fitness_sanitize_text', 'SUBSCRIBE TO OUR NEWSLETTER');

addColorPalatOption($wp_customize, 'lz_newslatter_HeadingColor', 'footer_copyright_settings', 'Section Title color', '#f90101');

lzAddElement($wp_customize, 'lz_newslatter_sub_title', 'footer_copyright_settings', 'text', $label="Text", 'lz_fitness_sanitize_text', 'Subscribe to our mailing list to receive updates on new arrivals, special offers and other discount information.');

addColorPalatOption($wp_customize, 'lz_newslatter_SubhHeadingColor', 'footer_copyright_settings', 'Section Text color', '#fff');

// Adding the Label
lzCustomLable($wp_customize, 'lz_newslatter_npp_heading', 'footer_copyright_settings', 'Form shortcode');

//add shortcode textbox
lzAddElement($wp_customize, 'lz_newslatter_shortcode', 'footer_copyright_settings', 'text', $label="Add Shortcode here", 'lz_fitness_sanitize_text', '[form shortcode here]');

addColorPalatOption($wp_customize, 'lz_newslatter_NFormtextColor', 'footer_copyright_settings', 'Form text & Placeholder Text color', '#9b9a9a');
addColorPalatOption($wp_customize, 'lz_newslatter_NFormbgssclrColor', 'footer_copyright_settings', 'Text Field Background color', '#fdfdfd');

addColorPalatOption($wp_customize, 'lz_newslatter_NFormtextlabelColor', 'footer_copyright_settings', 'Form label text color', '#b5b8bc');
addColorPalatOption($wp_customize, 'lz_newslatter_buttonColor', 'footer_copyright_settings', 'Button color', '#fddada');

addColorPalatOption($wp_customize, 'lz_newslatter_buttonbgColor', 'footer_copyright_settings', 'Button Background color', '#fe0000');

lzCustomLable($wp_customize, 'set_FooterSetting', 'footer_copyright_settings', 'Footer Setting:');

backgroundManager($wp_customize, 'footer', 'footer_copyright_settings', $color='#f7f5f6', get_template_directory_uri().'/images/default-gray.png', 'img');

//theme Footer title Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_title_color', 'footer_copyright_settings', 'Footer Title Color', '#020202');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_icon_color', 'footer_copyright_settings', 'Footer Icon Color', '#020202');

//theme Footer text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_text_color', 'footer_copyright_settings', 'Footer Text Color', '#1B1A1A');

//theme Footer menu Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menu_color', 'footer_copyright_settings', 'Footer Menu Color', '#020202');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menuhover_color', 'footer_copyright_settings', 'Footer Menu Hover Color', '#1e89f3');

//theme Footer menu date Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menudate_color', 'footer_copyright_settings', 'Footer Menu Date Color', '#1e89f3');

//theme Footer social Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_social_color', 'footer_copyright_settings', 'Footer Social Color', '#353849');

//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialhover_color', 'footer_copyright_settings', 'Footer Social Hover Color', '#1e89f3');

//theme Footer Social border Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialborder_color', 'footer_copyright_settings', 'Footer  Social Border Color', '#353849');

//theme Footer Social border hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialborderhover_color', 'footer_copyright_settings', 'Footer Social Border Hover Color', '#1e89f3');

//theme Footer form Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_form_color', 'footer_copyright_settings', 'Footer Form Color', '#9c9c9c');

//theme Footer form background Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbg_color', 'footer_copyright_settings', 'Footer Form Background Color', '#fff');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formborder_color', 'footer_copyright_settings', 'Footer Form Border Color', '#fff');

//theme Footer form button Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbtn_color', 'footer_copyright_settings', 'Footer Form Button Color', '#fff');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbtnbg_color', 'footer_copyright_settings', 'Footer Form Button Background Color', '#1e89f3');

//theme Footer table days Color
addColorPalatOption($wp_customize, 'footer_tabledays_color', 'footer_copyright_settings', 'Footer Table Days Color', '#fff');

//theme Footer table days bg Color
addColorPalatOption($wp_customize, 'footer_tabledaysbg_color', 'footer_copyright_settings', 'Footer Table Days Background Color', '#1e89f3');

//theme Footer table text Color
addColorPalatOption($wp_customize, 'footer_tabletext_color', 'footer_copyright_settings', 'Footer Table Text Color', '#424242');

//theme Footer table box bg Color
//addColorPalatOption($wp_customize, 'footer_tableboxbg_color', 'footer_copyright_settings', 'Footer Table Box Background Color', '#f7f5f6');

//theme Footer table btn Color
addColorPalatOption($wp_customize, 'footer_tablebtn_color', 'footer_copyright_settings', 'Footer Table Button and Table Active Text Color', '#fff');

//theme Footer table btn bg Color
addColorPalatOption($wp_customize, 'footer_tablebtnbg_color', 'footer_copyright_settings', 'Footer Table Button Background Color', '#1e89f3');

//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_copyright_settings',
	array(
		'title' => __( 'Footer Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

$wp_customize->add_setting(
	'lz_fitness_footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright © 2019 supermart Ecommercee Pro. All Rights Reserved', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_copyrighttext',
	array(
		'settings'      => 'lz_fitness_footer_copyrighttext',
		'section'       => 'footer_copyright_settings',
		'type'          => 'textarea',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);

//theme Copyright Footer bg Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrightbg_color', 'footer_copyright_settings', 'Copyright Footer Border Color', '#D5D3D3');

//theme Footer Text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrighttext_color', 'footer_copyright_settings', 'Copyright Footer Text Color', '#7c7c7c');
